1. Assets
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
        GET
      • List asset types
        GET
      • Asset structure
        GET
      • Assets dynamic fields
        GET
      • List assets
        GET
      • Assets
        GET
      • Assets
        POST
      • Assets
        PATCH
      • Assets
        DELETE
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Assets

List asset types

GET
/assetTypes
Asset types build ontop of asset groups and further refine what the asset is. For example, if an asset is a Boiler (group) the type maybe set to Combination boiler.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/assetTypes?limit=undefined&includeCount=true&after=undefined&before=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "meta": {
        "totalRecords": 0,
        "serverTime": "string"
    },
    "pagination": {
        "hasMore": true,
        "nextCursor": 0,
        "prevCursor": 0
    },
    "data": [
        {
            "assetTypeID": 0,
            "assetTypeDescription": "string",
            "assetGroupID": 0,
            "version": 0,
            "assetFields": [
                {
                    "assetFieldUUID": "string",
                    "fieldDescription": "string",
                    "isUniqueField": true,
                    "showInJobReport": true,
                    "showInAddJobScreen": true,
                    "fieldDataType": "string",
                    "dynamicFieldDetails": {
                        "dynamicFieldName": "string",
                        "dynamicFieldID": 0
                    },
                    "certificateKey": "string",
                    "fieldDataFormat": "string",
                    "staticDropdownValues": [
                        {
                            "dropdownFieldID": "string"
                        }
                    ],
                    "fieldValidations": [
                        {
                            "validationType": "string",
                            "validationDescription": "string",
                            "validationLength": "string",
                            "validationRequired": true,
                            "validationMessage": "string",
                            "validationHelpText": "string"
                        }
                    ],
                    "dependencies": [
                        {
                            "dependentFieldUUID": "string",
                            "dependentFieldAnswer": "string"
                        }
                    ]
                }
            ]
        }
    ]
}
Modified at 2026-09-11 08:05:21
Previous
List asset groups
Next
Asset structure
Built with